<template>
  <div class="custom_dropdown">
    <label for="dropdown">{{ label }}</label>
    <select class="dropdown" name="dropdown" @change="valueChanged($event)">
      <option
        v-for="option in options"
        :key="option.value"
        :value="option.value"
      >
        {{ option.name }}
      </option>
    </select>
  </div>
</template>

<script>
export default {
  name: "Dropdown",
  props: {
    label: String,
    options: Array,
    undo_select: Boolean,
  },
  watch: {
    undo_select: function () {
      document.getElementsByTagName("select")[1].children[0].selected =
        "selected";
    },
  },
  methods: {
    valueChanged(event) {
      this.$emit("dropdownSelectionChanged", event.target.value);
    },
  },
};
</script>

<style scoped>
label {
  padding: 10px 20px 0px 20px;
  font-size: 15px;
  color: gray;
}

.custom_dropdown {
  display: flex;
  flex-direction: column;
  background: white;
  width: 350px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.dropdown {
  background: transparent;
  
  padding: 10px 20px;
  font-size: 21px;
  border: 0px;
  border-bottom: 1px solid grey;
}

.dropdown:focus {
  border: 0px;
  border-bottom: 1px solid grey;
  outline: none;
}
</style>